## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-snakemake-interface-common
Version:        1.17.3
Release:        %autorelease
Summary:        Common functions and classes for Snakemake and its plugins

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-interface-common
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-interface-common-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-snakemake-interface-common
Summary:        %{summary}

%description -n python3-snakemake-interface-common %{common_description}


%prep
%autosetup -n snakemake-interface-common-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_interface_common


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

%pytest -v tests/tests.py


%files -n python3-snakemake-interface-common -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu Aug 15 2024 Packit <hello@packit.dev> - 1.17.3-1
- Update to 1.17.3 upstream release
- Resolves: rhbz#2305094

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.17.2-2
- Rebuilt for Python 3.13

* Fri Apr 12 2024 Packit <hello@packit.dev> - 1.17.2-1
- Update to 1.17.2 upstream release
- Resolves: rhbz#2274659

* Wed Feb 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.17.1-1
- [packit] 1.17.1 upstream release

* Thu Feb 15 2024 Packit <hello@packit.dev> - 1.16.0-1
- [packit] 1.16.0 upstream release

* Sat Feb 03 2024 Packit <hello@packit.dev> - 1.15.3-1
- [packit] 1.15.3 upstream release
- Resolves rhbz#2262505

* Wed Jan 24 2024 Packit <hello@packit.dev> - 1.15.2-1
- [packit] 1.15.2 upstream release
- Resolves rhbz#2259982

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Packit <hello@packit.dev> - 1.15.1-1
- [packit] 1.15.1 upstream release
- Resolves rhbz#2258667

* Tue Dec 26 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.15.0-1
- Initial package (close RHBZ#2255788)
## END: Generated by rpmautospec
